DragonFly BSD
DragonFly users List (threaded) for 2010-01
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: tried to run ltp

From: Pierre Abbat <phma@xxxxxxxxxxxxx>
Date: Wed, 6 Jan 2010 18:51:21 -0500

On Friday 01 January 2010 18:31:31 Alex Hornung wrote:
> Am not quite sure about the programs, but mounting linprocfs should do
> the trick for /proc.

It does, but should I mount it as /proc or /compat/linux/proc? I have it 
on /compat/linux/proc and the normal BSD proc on /proc.

dogla# ./runltplite.sh
Checking for required user/group ids
If some fields are empty or look unusual you may have an old version.

Compare to the current minimal requirements in Documentation/Changes.

DragonFly dogla 2.5.1-DEVELOPMENT DragonFly v2.5.1.25.gec87c-DEVELOPMENT #0: 
Mon Oct  5 04:17:26 GMT 2009     phma@dogla:/usr/obj/usr/src/sys/GENERIC  

Gnu C                  gcc (GCC) 4.1.2 (DragonFly)
'nobody' user id and group found.
'bin' user id and group found.
'daemon' user id and group found.
Users group found.
Sys group found.
util-linux             h #]
util-linux             t #] devname
mount                  t ufs | external_type] special node
mount                  t ufs | external_type]
mount                  dfpruvw] special | node
insmod: not found
Required users/groups exist.
tune2fs: not found
reiserfsck: not found
cardmgr: not found
PPP                    2.3
isdnctrl: not found
ldd: /bin/sh: not a dynamic executable
awk: trying to access out of range field -1
 input record number 1, file
 source line number 2
ldd: illegal option -- -
usage: ldd [-v] [-f format] program ...
Procps                 -
ip: not found
loadkeys: not found
loadkeys: not found
Sh-utils               --v

free reports:
free: not found

cat: /proc/cpuinfo: No such file or directory
WARNING: unable to display versions of software installed

With linprocfs on /proc, I get:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 16
stepping        : 7
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat 
pse36 b19 b21 mmxext mmx fxsr xmm b26 b27 b28 b29 3dnow
cpu MHz         : 1794.18
bogomips        : 1794.18
/usr/local/bin/ltp-pan: /lib/libc.so.6: version `GLIBC_2.4' not found 
(required by /usr/local/bin/ltp-pan)
INFO: ltp-pan reported some tests FAIL

If I try to run ltp-pan, I get this:
bin/ltp-pan: /lib/libc.so.6: version `GLIBC_2.4' not found (required by 

Should I move the whole thing into /compat/linux and run it chrooted?

I believe in Yellow when I'm in Sweden and in Black when I'm in Wales.

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]